SetVmConsolePassword
SetVmConsolePassword
/zstack/v1/vm-instances/{uuid}/actionsOperation ID
SetVmConsolePasswordSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe VM instance UUID.
Body Fields
consolePasswordStringRequiredThe console password, which is a plain text string.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKOn success, this API returns the following response structure.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
inventoryVmInstanceInventoryRequiredSee inventory.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
zoneUuidStringRequiredThe zone UUID.
clusterUuidStringRequiredThe cluster UUID.
imageUuidStringRequiredThe image UUID.
hostUuidStringRequiredThe host UUID.
lastHostUuidStringRequiredThe last host UUID.
instanceOfferingUuidStringRequiredThe instance offering UUID.
rootVolumeUuidStringRequiredThe root volume UUID.
platformStringRequiredThe platform.
defaultL3NetworkUuidStringRequiredThe default L3 network UUID.
typeStringRequiredThe resource type.
hypervisorTypeStringRequiredThe hypervisor type.
memorySizeLongRequiredThe memory size.
cpuNumIntegerRequiredThe number of CPUs.
cpuSpeedLongRequiredThe CPU speed.
allocatorStrategyStringRequiredThe allocator strategy.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
stateStringRequiredThe resource state.
vmNicsListRequiredSee vmNics.
uuidStringRequiredThe resource UUID.
vmInstanceUuidStringRequiredThe VM instance UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
ipStringRequiredThe IP address.
macStringRequiredThe MAC address.
netmaskStringRequiredThe netmask.
gatewayStringRequiredThe gateway IP address.
metaDataStringRequiredThe metadata.
ipVersionIntegerRequiredThe IP version.
deviceIdIntegerRequiredThe device ID.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
usedIpsListRequiredSee usedIps.
uuidStringRequiredThe resource UUID.
ipRangeUuidStringRequiredThe IP range UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
ipVersionIntegerRequiredThe IP version.
ipStringRequiredThe IP address.
netmaskStringRequiredThe netmask.
gatewayStringRequiredThe gateway.
usedForStringRequiredThe intended use.
ipInLonglongRequiredThe IP address represented as a long integer.
vmNicUuidStringRequiredThe VM NIC UUID.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
allVolumesListRequiredSee allVolumes.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
primaryStorageUuidStringRequiredThe primary storage UUID.
vmInstanceUuidStringRequiredThe VM instance UUID.
diskOfferingUuidStringRequiredThe disk offering UUID.
rootImageUuidStringRequiredThe root image UUID.
installPathStringRequiredThe installation path.
typeStringRequiredThe resource type.
formatStringRequiredThe format.
sizeLongRequiredThe size.
actualSizeLongRequiredThe actual size.
deviceIdIntegerRequiredThe device ID.
stateStringRequiredThe resource state.
statusStringRequiredThe resource status.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
isShareableBooleanRequiredWhether the resource is shareable.
